Description: Fix syntax warning
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1087095
Forwarded: no
Last-Update: 2024-11-26

--- sphinxcontrib-httpdomain-1.8.1.orig/sphinxcontrib/autohttp/flask_base.py
+++ sphinxcontrib-httpdomain-1.8.1/sphinxcontrib/autohttp/flask_base.py
@@ -126,7 +126,7 @@ def cleanup_methods(methods):
 
 
 def quickref_directive(method, path, content, blueprint=None, auto=False):
-    rcomp = re.compile("^\s*.. :quickref:\s*(?P<quick>.*)$")
+    rcomp = re.compile(r"^\s*.. :quickref:\s*(?P<quick>.*)$")
     method = method.lower().strip()
     if isinstance(content, six.string_types):
         content = content.splitlines()
